Retrieve an external iterator

- « WeakMap::count

- WeakMap::offsetExists »

- PHP Manual
- WeakMap
- Retrieve an external iterator

# WeakMap::getIterator

(PHP 8)

WeakMap::getIterator — Retrieve an external iterator

### Description

public WeakMap::getIterator(): Iterator

Returns an external iterator.

### Parameters

This function has no parameters.

### Return Values

An instance of an object implementing Iterator or Traversable

### Errors/Exceptions

Throws an Exception on failure.